/* node.h
 * libxml++ and this file are copyright (C) 2000 by Ari Johnson, and
 * are covered by the GNU Lesser General Public License, which should be
 * included with libxml++ as the file COPYING.
 */

#ifndef __LIBXMLPP_NODES_COMMENTNODE_H
#define __LIBXMLPP_NODES_COMMENTNODE_H

#include <libxml++/nodes/node.h>

#include <iostream>

namespace xmlpp
{

class CommentNode : public Node
{
public:
  explicit CommentNode(xmlNode* node);
  virtual ~CommentNode();

  std::string get_content() const;
  void set_content(const std::string& content);
};

} // namespace xmlpp

#endif //__LIBXMLPP_NODES_COMMENTNODE_H



